- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::IO::CXMLAttribute Class Reference

List of all members.

## Detailed Description

Represents an xml attributes item.

See also:
  CXMLNode

Date:
  17/08/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CXMLAttribute.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 29 of file CXMLAttribute.hpp.

## Public Member Functions

- CXMLAttribute (const CString &name, const int value)
- CXMLAttribute (const CString &name, const long value)
- CXMLAttribute (const CString &name, const float value)
- CXMLAttribute (const CString &name, const double value)
- CXMLAttribute (const CString &name, const bool value)
- CXMLAttribute (const CString &name, const CString &value)
- const CString & getName () const
- const CString & getValue () const
- bool getValueAsBool () const
- double getValueAsDouble () const
- float getValueAsFloat () const
- int getValueAsInt () const
- long getValueAsLong () const
- void setName (const CString &name)
- void setValue (const int value)
- void setValue (const long value)
- void setValue (const float value)
- void setValue (const double value)
- void setValue (const bool value)
- void setValue (const CString &value)
- virtual ~CXMLAttribute ()

## Protected Attributes

- CString m_name
- CString m_value

## Constructor & Destructor Documentation

Exponent::IO::CXMLAttribute::CXMLAttribute | ( | const CString & | name,
|  | const CString & | value |
| ) |  |  |

Construction

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

Exponent::IO::CXMLAttribute::CXMLAttribute | ( | const CString & | name,
|  | const bool | value |
| ) |  |  |

Construction with boolean value

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

Exponent::IO::CXMLAttribute::CXMLAttribute | ( | const CString & | name,
|  | const double | value |
| ) |  |  |

Construction with boolean value

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

Exponent::IO::CXMLAttribute::CXMLAttribute | ( | const CString & | name,
|  | const float | value |
| ) |  |  |

Construction with boolean value

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

Exponent::IO::CXMLAttribute::CXMLAttribute | ( | const CString & | name,
|  | const long | value |
| ) |  |  |

Construction with boolean value

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

Exponent::IO::CXMLAttribute::CXMLAttribute | ( | const CString & | name,
|  | const int | value |
| ) |  |  |

Construction with boolean value

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

virtual Exponent::IO::CXMLAttribute::~CXMLAttribute | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

const CString& Exponent::IO::CXMLAttribute::getName | ( |  | ) | const

Get the name of the attribute

Return values:

  | const | CString & The name of the attribute

const CString& Exponent::IO::CXMLAttribute::getValue | ( |  | ) | const

Get the value of the attribute

Return values:

  | const | CString & The value of the attribute

bool Exponent::IO::CXMLAttribute::getValueAsBool | ( |  | ) | const

Get the value as a bool

Return values:

  | bool | The value as a bool

double Exponent::IO::CXMLAttribute::getValueAsDouble | ( |  | ) | const

Value as a double

Return values:

  | double | The value as a double

float Exponent::IO::CXMLAttribute::getValueAsFloat | ( |  | ) | const

Value as a float

Return values:

  | float | The value as a float

int Exponent::IO::CXMLAttribute::getValueAsInt | ( |  | ) | const

Get the value as an int

Return values:

  | int | The value as an int

long Exponent::IO::CXMLAttribute::getValueAsLong | ( |  | ) | const

Get the value as a long

Return values:

  | long | The value as a long

void Exponent::IO::CXMLAttribute::setName | ( | const CString & | name | ) |

Set the name of the attribute

Parameters:

  | name | The name of the attribute

void Exponent::IO::CXMLAttribute::setValue | ( | const int | value | ) |

Set the value of the attribute

Parameters:

  | value | The value of the attribute

void Exponent::IO::CXMLAttribute::setValue | ( | const long | value | ) |

Set the value of the attribute

Parameters:

  | value | The value of the attribute

void Exponent::IO::CXMLAttribute::setValue | ( | const float | value | ) |

Set the value of the attribute

Parameters:

  | value | The value of the attribute

void Exponent::IO::CXMLAttribute::setValue | ( | const double | value | ) |

Set the value of the attribute

Parameters:

  | value | The value of the attribute

void Exponent::IO::CXMLAttribute::setValue | ( | const bool | value | ) |

Set the value of the attribute

Parameters:

  | value | The value of the attribute

void Exponent::IO::CXMLAttribute::setValue | ( | const CString & | value | ) |

Set the value of the attribute

Parameters:

  | value | The value of the attribute

## Member Data Documentation

CString Exponent::IO::CXMLAttribute::m_name`[protected]`

Name of the attribute

Definition at line 184 of file CXMLAttribute.hpp.

CString Exponent::IO::CXMLAttribute::m_value`[protected]`

Value of the attribute

Definition at line 185 of file CXMLAttribute.hpp.